Bug 3899 - Ошибка при старте сервиса osspd
: Ошибка при старте сервиса osspd
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-31 16:32 MSD by Eugene Shatokhin
Modified: 2014-04-04 15:46 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-03-31 16:32:06 MSD
Пакет: ossp-1.3.2-2-rosa2012.1.x86_64

systemctl start osspd.service отработала с ошибкой.

Из системного журнала:
--------------------
sudo[10080]: autotest : TTY=pts/1 ; PWD=/home/autotest ; USER=root ; COMMAND=/bin/systemctl start osspd.service
systemd[1]: Starting OSS (Open Sound System) Proxy Daemon...
osspd[10084]: OSS Proxy v1.3.2 (C) 2008-2010 by Tejun Heo <teheo@suse.de>
osspd[10084]: ERR failed to setup mixer CUSE
osspd[10084]: ERR failed to setup adsp CUSE
osspd[10084]: ERR failed to setup dsp CUSE
osspd[10084]: CRIT can't create dsp, giving up
osspd[10083]: CRIT daemon init failed ret=0 err=0
systemd[1]: osspd.service: control process exited, code=exited status=1
systemd[1]: Failed to start OSS (Open Sound System) Proxy Daemon.
systemd[1]: Unit osspd.service entered failed state.
--------------------
Comment 1 Denis Silakov 2014-04-03 18:33:17 MSD
Тут надо сначала модуль cuse подгрузить:

# modprobe cuse

И все стартует.

Пакет ossp добавляет этот модуль в /etc/modprobe.preload.d/ossp.conf, и для udev какие-то правила прописывает. Так что может, так оно и надо?:)
Comment 2 Alexander Burmashev 2014-04-03 18:36:47 MSD
Видимо нужен ребут. Можно в провайды пакету ему добавить, чтобы "намекал" юзеру )
Comment 3 Denis Silakov 2014-04-03 18:37:26 MSD
Ну можно и modprobe в пост-скриптах вызвать.
Comment 4 Denis Silakov 2014-04-04 12:45:16 MSD
Advisory:
Load 'cuse' kernel module automatically on the first install of ossp

Build lists:
https://abf.io/build_lists/1743381
https://abf.io/build_lists/1743380
Comment 5 Vladimir Potapov 2014-04-04 15:33:20 MSD
ossp-1.3.2-4
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1743380/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1743381/x86_64/main/release/
**************************** Advisory ***************************
Load 'cuse' kernel module automatically on the first install of ossp
*****************************************************************
QA Verified